OpenLD index.php id Variable SQL Injection

2007-07-10T18:08:00
ID OSVDB:35966
Type osvdb
Reporter Cody "CypherXero" Rester()
Modified 2007-07-10T18:08:00

Description

Vulnerability Description

OpenLD contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'index.php' script not properly sanitizing user-supplied input to the 'id' variable. This may allow a remote attacker to inject or manipulate SQL queries in the backend database.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

OpenLD contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'index.php' script not properly sanitizing user-supplied input to the 'id' variable. This may allow a remote attacker to inject or manipulate SQL queries in the backend database.

Manual Testing Notes

http://[target]/index.php?id=999//UNION//SELECT//ALL//null,null,null,null,null,value,null,null,null,null,null,null,null,null//FROM//settings--

References:

Vendor URL: http://sourceforge.net/projects/openld/ Secunia Advisory ID:25997 Other Advisory URL: http://milw0rm.com/exploits/4167 ISS X-Force ID: 35317 FrSIRT Advisory: ADV-2007-2475 CVE-2007-3682 Bugtraq ID: 24838